Skip to content

eSign Status

| View as Markdown

This API is for checking the status of eSign. After processing this api, we can get the status of esign as completed or not. If it’s completed, it will also save the signed document and return the pdf URL.

https://kraken.airpay.co.in/airpay/ms/esign/api/get-esign-status
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeRequiredDescription
txn_idAlphanumericYesTransaction ID (max 10)
mobile_noNumericNoMobile number (length 10)
docrefidAlphanumericYesDocument reference ID (length 7). Will be provided by Airpay.
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/get-esign-status' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'txn_id="1058"'\
--form 'docrefid="YPRWUAW"'
FieldTypeDescription
statusNumericStatus code (length 3)
messageTextMessage
Success - 200 (The transaction is success)
Transaction in Process - 211 (The transaction is processing)
Failed - 400 (The transaction is failed)
Dropped - 401 (The transaction will not register properly)
Cancel - 402 (payment that has not yet been processed)
Incomplete - 403 (Not recieved any call back from bank)
Bounced - 405 (The transaction has bounced)
No Records - 503 (There are no records found)
signed_documentTextThis will provide the signed document
esignTypeTextesign type is nothing but what identifies whether the esigned agreement contains a single or multiple signature.
nameTextName of the customer
last4digitNumericaadhar card number last 4 digit
stateTextName of state
postalCodeNumericPostal code
HTTP/1.1 200 OK
{
"status": 200,
"signed_document": " https://test_esign.airpay.co.in/docRequest/eyJpdiI6IkVmRGJuV0Zob2ttYWo1WWNnUENcL3lBPT0iLCJ2YWx1ZSI6InF3Qllsc3EzM2ZUYWQ0c0RzTm5COWc9PSIsIm1hYyI6ImNiNWUzYjI2ZTA2ZjJjZTIzNTBkZjQ4NDZkZTYxY2FiMTY4YzI5NjhjNDQ4NjhkMGIxNWY4NGE1Y2M5NDRiYzUifQ==",
"message": "eSign is already completed for this user",
"esignType": "Single",
"name": "Kuldip Kumar",
"last4digit": "0000",
"state": "kerala",
"postalCode": "202000"
}
HTTP/1.1 400 Failed
{
"status": 400,
"message": "eSign is not completed for this user"
}